#pragma once
#include "afxwin.h"


// CDialogConfigTab4 對話方塊

class CDialogConfigTab4 : public CDialog
{
	DECLARE_DYNAMIC(CDialogConfigTab4)

public:
	CDialogConfigTab4(CWnd* pParent = NULL);   // 標準建構函式
	virtual ~CDialogConfigTab4();

// 對話方塊資料
	enum { IDD = IDD_DIALOG4 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支援

	DECLARE_MESSAGE_MAP()

	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

public:
	CEdit m_CEdit_WWAN1;
	CEdit m_CEdit_WWAN2;
	CEdit m_CEdit_WWAN3;
	CEdit m_CEdit_WWAN3Wakeup;
	CEdit m_CEdit_WWAN4;
	CComboBox m_CComboBox_WWAN1;
	CComboBox m_CComboBox_WWAN2;
	CComboBox m_CComboBox_WWAN3;
	CComboBox m_CComboBox_WWAN3Wakeup;
	CComboBox m_CComboBox_WWAN4;
	CEdit m_CEdit_WiFi_1;
	CComboBox m_CComboBox_WiFi_1;
	CEdit m_CEdit_WiFi_2;
	CComboBox m_CComboBox_WiFi_2;
	CEdit m_CEdit_WiFi_3;
	CComboBox m_CComboBox_WiFi_3;
	CEdit m_CEdit_BT1;
	CEdit m_CEdit_BT2;
	CEdit m_CEdit_BT3;
	CComboBox m_CComboBox_BT1;
	CComboBox m_CComboBox_BT2;
	CComboBox m_CComboBox_BT3;
	CEdit m_CEdit_GPS_Status;
	CComboBox m_CComboBox_GPS_Enable;
	CEdit m_CEdit_SIMCard1;
	CEdit m_CEdit_SIMCard2;
	CEdit m_CEdit_SIMCard3;
	CEdit m_CEdit_SIMCard4;
	CComboBox m_CComboBox_SIMCard1;
	CComboBox m_CComboBox_SIMCard2;
	CComboBox m_CComboBox_SIMCard3;
	CComboBox m_CComboBox_SIMCard4;
	CStatic m_CStatic_WWAN1;
	CStatic m_CStatic_WWAN3;
	CStatic m_CStatic_WWAN4;
	CStatic m_CStatic_SIMCard1;
	CStatic m_CStatic_SIMCard3;
	CStatic m_CStatic_SIMCard4;
	CStatic m_CStatic_WiFi_1;
	CStatic m_CStatic_WiFi_2;
	CStatic m_CStatic_WiFi_3;
	CStatic m_CStatic_BT1;
	CStatic m_CStatic_BT2;
	CStatic m_CStatic_BT3;

	void fnGetWWANStatus();
	void fnGetWiFiStatus();
	void fnGetBTStatus();
	void fnGetGPSStatus();
	void fnGetSIMCardStatus();

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();

public:
	void fnGetPCIESlotMode();

public:
	BOOL m_isDoCommand;
	void DoCommand();
	unsigned int m_nStep;
	void ResetDoCommand();
};
